BizKitHub
DocsAPI ReferenceIssue Tags/bff/issue-tag/assign
postIssue TagsAdmin BFF

/bff/issue-tag/assign

Toggles one tag on one issue and returns the resulting tag list.

Issue TagspostBffIssue-tagAssign

Parameters

JSON body

Request body

application/json
issueKeystringRequired
ExamplePROJ-123
tagIdnumberRequired

Tag ID from the caller organisation catalogue.

assignedbooleanRequired

true attaches the tag, false detaches it. Idempotent.

Response schema

1 status code documented

200Success
itemsobject[]Required
Each array item:
idnumberRequired

Tag ID (pm__tag.id).

codestringRequired

Machine code, unique inside the organisation (slug).

labelstringRequired

Display name.

colorstringRequired

Chip colour #RRGGBB.

descriptionstring | nullRequired
One of 2:
Variant 1
string

Optional operator note explaining when to use the tag.

Variant 2
null
itemCountnumberRequired

Response example

application/json
{
  "items": [
    {
      "id": 0,
      "code": "example_code",
      "label": "example_label",
      "color": "example_color"
    }
  ],
  "itemCount": 0
}

Request example

POST /bff/issue-tag/assign

post
curl -X POST "https://api.bizkithub.com/bff/issue-tag/assign" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "issueKey": "PROJ-123",
  "tagId": 0,
  "assigned": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key